import com.aliasi.tokenizer.TokenizerFactory;
import com.aliasi.tokenizer.ModifyTokenTokenizerFactory;

import java.util.regex.Pattern;
import java.util.regex.Matcher;

public class RegExNonMatchingTokenizerFactory extends ModifyTokenTokenizerFactory {

    String mRegex;

    public RegExNonMatchingTokenizerFactory(TokenizerFactory factory, String regex) {
	super(factory);
	mRegex = regex;
    }

    public String modifyToken(String token) {
	if (token.matches(mRegex)) {
	    //	    System.out.println("Filtered:" + token);
	    return null;
	}
	else {
	    return token;
	}
    }

    static final long serialVersionUID = -7949489227829523271L;
}
