import com.aliasi.classify.ConditionalClassification;


public class AnnotatedConditionalClassification {

    private final String mReferenceClass;
    private final ConditionalClassification mCondClassification;

    public AnnotatedConditionalClassification(ConditionalClassification c, String referenceClass) {
	mCondClassification = c;
	mReferenceClass = referenceClass;
    }

    public String truthCategory() {
	return mReferenceClass;
    }

    public ConditionalClassification condClassification() {
	return mCondClassification;
    }

    public static final String EMPTY_CLASS = "";

}