import com.aliasi.tokenizer.TokenizerFactory;
import com.aliasi.tokenizer.ModifyTokenTokenizerFactory;

public class HttpFilterTokenizerFactory extends ModifyTokenTokenizerFactory {


    public HttpFilterTokenizerFactory(TokenizerFactory factory) {
	super(factory);
    }

    public String modifyToken(String token) {
	if (token.startsWith("http")) {
	    return null;
	}
	else if (token.startsWith("www.")) {
	    return null;
	}
	else {
	    return token;
	}
    }

    static final long serialVersionUID = -7949489227829523271L;
}
